Last Comment Bug 312470 - STATE_TRAVERSED not updated after going back in history
: STATE_TRAVERSED not updated after going back in history
Status: VERIFIED FIXED
: access, fixed1.8, sec508
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: Trunk
: x86 Windows XP
: -- normal (vote)
: ---
Assigned To: Aaron Leventhal
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-14 08:08 PDT by Aaron Leventhal
Modified: 2005-10-20 11:44 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Not exposing STATE_TRAVERSED after going back in history (2.78 KB, patch)
2005-10-14 08:43 PDT, Aaron Leventhal
parente: review+
neil: superreview+
asa: approval1.8rc1+
Details | Diff | Splinter Review

Description Aaron Leventhal 2005-10-14 08:08:30 PDT
Using MSAA Inspect, look at an untraversed link on a page.
Then activate the link and go back (Alt+Left arrow).

Now looking at the link, notice that it does not report STATE_TRAVERSED.
If you refresh the page with Ctrl+R it will now expose STATE_TRAVERSED.

We're caching that state but we need to fetch it each time the state is requested.
Comment 1 Aaron Leventhal 2005-10-14 08:43:03 PDT
Created attachment 199563 [details] [diff] [review]
Not exposing STATE_TRAVERSED after going back in history
Comment 2 Asa Dotzler [:asa] 2005-10-17 11:12:34 PDT
From Tinderbox:

Tree is OPEN:
    * checkins to this branch require approval from drivers@mozilla.org.
    * to request drivers' approval, set the attachment flag to approval1.8rc1?.
   ** include a comment about the value, the risk, and any existing testing.
   ** land changes and get them verified on the trunk before requesting branch
approval.
Comment 3 Aaron Leventhal 2005-10-17 11:16:37 PDT
(In reply to comment #2)
>    ** include a comment about the value, the risk, and any existing testing.

Risk is low -- limited to accessibility core which is usually not loaded. Patch
is on trunk.

Value is to provide screen reader users with correct indication of visited state
for links at all times.

Testing was done by myself, but I can have screen reader vendors provide further
testing if needed.
Comment 4 Aaron Leventhal 2005-10-19 14:08:41 PDT
Verified by Doug Geoffray from GW Micro.
Comment 5 Dan Kinnunen 2005-10-20 11:44:53 PDT
Verified that this has been fixed in dev build 10/19/05 build from aaron.

Note You need to log in before you can comment on or make changes to this bug.